com.mysql.jdbc

## Interface PreparedStatement.BatchVisitor

All Known Implementing Classes:
  PreparedStatement.AppendingBatchVisitor

Enclosing class:
  PreparedStatement

    static interface PreparedStatement.BatchVisitor

### Method Summary

Methods
`PreparedStatement.BatchVisitor` `append(byte[] values)`
`PreparedStatement.BatchVisitor` `decrement()`
`PreparedStatement.BatchVisitor` `increment()`
`PreparedStatement.BatchVisitor` `merge(byte[] begin, byte[] end)`

### Method Detail

#### increment

    PreparedStatement.BatchVisitor increment()

#### decrement

    PreparedStatement.BatchVisitor decrement()

#### append

    PreparedStatement.BatchVisitor append(byte[] values)

#### merge

    PreparedStatement.BatchVisitor merge(byte[] begin,
                                       byte[] end)